# Downshift Hooks

A set of hooks to build simple, flexible, WAI-ARIA compliant React dropdown
components. Developed as a follow up on [this issue][hooks-issue] about using
hooks in our API.

## Hooks

Check out one of the hooks below to use in your application and create fully
accessible widgets without any constraint about the UI library used.

### useSelect

For a custom `select` dropdown check out [useSelect][select-readme].

### useCombobox

For a `combobox/autocomplete` input check out [useCombobox][combobox-readme].

### useMultipleSelection

For a `multiple selection` with either a `select` or a `combobox` check out
[useMultipleSelection][multiple-selection-readme].

## Roadmap and contributions

Next steps:

- iterate on `useSelect`, `useCombobox`, `useMultipleSelection` to make them
  better and more robust.
- plan the development of hooks for other widgets that require a11y, for
  instance carousels, split buttons, trees, etc.

[hooks-issue]: https://github.com/downshift-js/downshift/issues/683
[select-readme]:
  https://github.com/downshift-js/downshift/tree/master/src/hooks/useSelect
[combobox-readme]:
  https://github.com/downshift-js/downshift/tree/master/src/hooks/useCombobox
[multiple-selection-readme]:
  https://github.com/downshift-js/downshift/tree/master/src/hooks/useMultipleSelection

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->
<!-- END doctoc generated TOC please keep comment here to allow auto update -->
